using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;
using System.Collections.Specialized;
using System.Reflection;
using System.Security.Claims;

namespace FMSAdmin.Helpers {
    public static class UserExtension {

        public static int GetSiteId(this ClaimsPrincipal user) {
            var value = user.Claims.FirstOrDefault(x => x.Type == "SiteId")?.Value;
            return Util.ToInt(value);
        }

    }
}
